Package org.eclipse.jface.text

# Interface IDocumentExtension.IReplace

Enclosing interface:
  IDocumentExtension

public static interface IDocumentExtension.IReplace
Interface for a post notification replace operation.

## Method Summary

Modifier and Type
Method
Description
`void`
`perform(IDocument document, IDocumentListener owner)`
Executes the replace operation on the given document.

## Method Details

### perform

void perform(IDocument document, IDocumentListener owner)
Executes the replace operation on the given document.

Parameters:
  `document` - the document to be changed
  `owner` - the owner of this replace operation